<?php
 include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
	
    //fin validar session
	
	if(empty($_POST['numnota1']) || empty($_POST['motivo']) || empty($_POST['autorizo']))
   {
   	echo "NO SE RECIBIERON LOS DATOS CORRECTAMENTE";
   	exit();
   }
    $numnota = $_POST['numnota1'];
	$motivo = $_POST['motivo'];
   $autorizo = $_POST['autorizo'];
   
  
	
	echo $numnota;
	
	$query0="UPDATE transacciones set
                 observaciones='$motivo',
				 tipostr_idtipostr='20'
                 WHERE idtransacciones=$numnota";
   $resultado0=mysql_query($query0,$conexion) or die ('Err0: ' . mysql_error());
	
	$delventa = "DELETE FROM depositos WHERE transacciones_idtransacciones=$numnota";
   $xdel = mysql_query($delventa);
   
   $delsales = "DELETE FROM pedido WHERE transacciones_idtransacciones = $numnota";
   $xdels = mysql_query($delsales);
	
  echo"<center><br><br><br><font size=\"5\"><b>El pedido $numnota ha sido elimindao del sistema</b></font></center>";
 ?>